#ifndef _MAZE_H_
#define _MAZE_H_

#include <string>
#include <vector>

using namespace std;

struct point2{
	int x;
	int y;
};

class maze{

public:
	maze();
	bool loadLevel(string fileName);
	void getSize(int &xVar, int &yVar);
	char getElement(int xVar, int yVar);
	point2 getStart();
	point2 getEnd(int index);
	int getNumEnd();

private:
	char level[32][32];
	int sizeInX;
	int sizeInY;
	point2 start;
	vector<point2> end;

};

#endif
